## org.eclipse.datatools.modelbase.sql.routines
Class DataAccess

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.routines.DataAccess

public final class DataAccess
extends AbstractEnumerator

A representation of the literals of the enumeration 'Data Access', and utility methods for working with them. Reference: 5WD-02-Foundation-2002-12 4.27 SQL-invoked routines

See Also:
  `SQLRoutinesPackage.getDataAccess()`, Serialized Form

Field Summary
`static int` `CONTAINS_SQL` The 'CONTAINS SQL' literal value.
`static DataAccess` `CONTAINS_SQL_LITERAL` The 'CONTAINS SQL' literal object.
`static int` `MODIFIES_SQL_DATA` The 'MODIFIES SQL DATA' literal value.
`static DataAccess` `MODIFIES_SQL_DATA_LITERAL` The 'MODIFIES SQL DATA' literal object.
`static int` `NO_SQL` The 'NO SQL' literal value.
`static DataAccess` `NO_SQL_LITERAL` The 'NO SQL' literal object.
`static int` `READS_SQL_DATA` The 'READS SQL DATA' literal value.
`static DataAccess` `READS_SQL_DATA_LITERAL` The 'READS SQL DATA' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Data Access' enumerators.

Method Summary
`static DataAccess` `get(int value)` Returns the 'Data Access' literal with the specified integer value.
`static DataAccess` `get(java.lang.String literal)` Returns the 'Data Access' literal with the specified literal value.
`static DataAccess` `getByName(java.lang.String name)` Returns the 'Data Access' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_SQL

    public static final int NO_SQL

  The 'NO SQL' literal value.

  See Also:
    `NO_SQL_LITERAL`, Constant Field Values

### CONTAINS_SQL

    public static final int CONTAINS_SQL

  The 'CONTAINS SQL' literal value.

  See Also:
    `CONTAINS_SQL_LITERAL`, Constant Field Values

### READS_SQL_DATA

    public static final int READS_SQL_DATA

  The 'READS SQL DATA' literal value.

  See Also:
    `READS_SQL_DATA_LITERAL`, Constant Field Values

### MODIFIES_SQL_DATA

    public static final int MODIFIES_SQL_DATA

  The 'MODIFIES SQL DATA' literal value.

  See Also:
    `MODIFIES_SQL_DATA_LITERAL`, Constant Field Values

### NO_SQL_LITERAL

    public static final DataAccess NO_SQL_LITERAL

  The 'NO SQL' literal object.

  If the meaning of 'NO SQL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NO_SQL`

### CONTAINS_SQL_LITERAL

    public static final DataAccess CONTAINS_SQL_LITERAL

  The 'CONTAINS SQL' literal object.

  If the meaning of 'CONTAINS SQL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONTAINS_SQL`

### READS_SQL_DATA_LITERAL

    public static final DataAccess READS_SQL_DATA_LITERAL

  The 'READS SQL DATA' literal object.

  If the meaning of 'READS SQL DATA' literal object isn't clear, there really should be more of a description here...

  See Also:
    `READS_SQL_DATA`

### MODIFIES_SQL_DATA_LITERAL

    public static final DataAccess MODIFIES_SQL_DATA_LITERAL

  The 'MODIFIES SQL DATA' literal object.

  If the meaning of 'MODIFIES SQL DATA' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MODIFIES_SQL_DATA`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Data Access' enumerators.

Method Detail

### get

    public static DataAccess get(java.lang.String literal)

  Returns the 'Data Access' literal with the specified literal value.

### getByName

    public static DataAccess getByName(java.lang.String name)

  Returns the 'Data Access' literal with the specified name.

### get

    public static DataAccess get(int value)

  Returns the 'Data Access' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.